MEMORY
{
    FLASH (rx)  : ORIGIN = 0x00300000, LENGTH = 0x00100000  /* Runner */
    RAM (rwx) : ORIGIN = 0x00000000, LENGTH = 16K
}

SECTIONS
{
    .magic_header : {
        LONG(0x88DAD0F2)        /* Magic header containing */
        LONG(ADDR(.text))   /* Entry point */
    } > RAM

    .text : {
        *(.text)
        *(.rodata)
    } > RAM

    .data : {
        *(.data)
    } > RAM

}
